[Setup] Cannot upgrade Site Configuration after upgrading from Plone 4.2.4 to 4.3

cmgui2 cmgui2 at gmail.com
Sun Jun 9 20:53:50 UTC 2013


Thank you Ida!

Rebuilding the catalog fixed the "KeyError:
'illustrated-sourcebook-of-mechanical-components-r.-o.-parmley'" error.
But the upgrade configuration still failed.
I used wildcard.fixpersistentutilities to fix the "Step pleonformgen has an
invalid import handler" error.
But the dry run upgrade still failed.    I think these lines in the output
"There are unresolved or circular dependencies. Graphviz diagram:: digraph
dependencies {"pleonformgen" -> "toolset"; "pleonformgen" ->
"propertiestool";" are the culprit.   See attached file.


I used wildcard.fixpersistentutilities to generate a 'fake' class for 
Products.PloneFormGen.tools.formGenTool.FormGenTool which was previously
installed and uninstalled (probably not cleanly).  After that, added
FormGenTool to buildout, and then activated and deactivated and removed
FormGenTool from buildout hoping that it will be cleanly uninstalled now.

Attached is the output of the dry run upgrade configuration now: 
dry_run_output3.txt
<http://plone.293351.n2.nabble.com/file/n7565748/dry_run_output3.txt>  





--
View this message in context: http://plone.293351.n2.nabble.com/Cannot-upgrade-Site-Configuration-after-upgrading-from-Plone-4-2-4-to-4-3-tp7565732p7565748.html
Sent from the Installation, Setup, Upgrades mailing list archive at Nabble.com.


More information about the Setup mailing list